<?php
//重复升级
function CheckReUpdate(){

	@setcookie('ecmsupdate','empirecms');
}

//更新数据库缓存
function upChangeDbCache(){
	GetConfig(1);//更新参数设置
	GetClass();//更新栏目
	GetMemberLevel();//更新会员组
	GetSearchAllTb();//更新全站搜索数据表
}

//更新动态页面
function upChangeDtFile(){
	DelListEnews();//删除栏目缓存文件
	GetPlTempPage();//评论列表模板
	GetPlJsPage();//评论JS模板
	ReCptemp();//控制面板模板
	GetSearch();//三搜索表单模板
	GetPrintPage();//打印模板
	GetDownloadPage();//下载地址页面
	ReGbooktemp();//留言板模板
	ReLoginIframe();//登陆状态模板
	ReSchAlltemp();//全站搜索模板
}

//更新模型表单文件
function upChangeAllModForm(){
	global $empire,$dbtbpre;
	$sql=$empire->query("select mid,tid,mtemp,qmtemp,cj from {$dbtbpre}enewsmod");
	while($r=$empire->fetch($sql))
	{
		ChangeMForm($r[mid],$r[tid],$r[mtemp]);//更新表单
		ChangeQmForm($r[mid],$r[tid],$r[qmtemp]);//更新前台表单
		ChangeMCj($r[mid],$r[tid],$r[cj]);//采集表单
	}
}

//取得随机数
function upMakePassword($pw_length){
	$low_ascii_bound=65;
	$upper_ascii_bound=90;
	$notuse=array(58,59,60,61,62,63,64,73,79,91,92,93,94,95,96,108,111);
	while($i<$pw_length)
	{
		mt_srand((double)microtime()*1000000);
		$randnum=mt_rand($low_ascii_bound,$upper_ascii_bound);
		if(!in_array($randnum,$notuse))
		{
			$password1=$password1.chr($randnum);
			$i++;
		}
	}
	return $password1;
}

//返回表ID
function upChangeClassReturnTbid($classid){
	global $empire,$dbtbpre,$ecms_config;
	$r=$empire->fetch1("select tid from {$dbtbpre}enewsclass where classid='$classid' limit 1");
	if(empty($r['tid']))
	{
		$r['tid']=0;
	}
	return $r['tid'];
}
?>